Package com.xceptance.xlt.api.report

# Interface ReportProviderConfiguration

public interface ReportProviderConfiguration
The `ReportProviderConfiguration` interface provides access to general report generator settings as well as to report provider specific properties, which are both stored in the global configuration file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MovingAverageConfiguration>`
  `getAdditionalMovingAverageConfigs()`
  Returns a list of configurations for additional moving averages (see `MovingAverageConfiguration`).
  `File`
  `getChartDirectory()`
  Returns the directory to which charts are saved.
  `long`
  `getChartEndTime()`
  Returns the maximum date/time value to be shown in charts.
  `int`
  `getChartHeight()`
  Returns the preferred height of chart images (in pixels).
  `long`
  `getChartStartTime()`
  Returns the minimum date/time value to be shown in charts.
  `int`
  `getChartWidth()`
  Returns the preferred width of chart images (in pixels).
  `MovingAverageConfiguration`
  `getCommonMovingAverageConfig()`
  Returns the configuration for the common moving average (see `MovingAverageConfiguration`).
  `File`
  `getCsvDirectory()`
  Returns the directory to which CSV files are saved.
  `Properties`
  `getProperties()`
  Returns all the settings from the file "xlt/config/reportgenerator.properties" as raw properties.
  `File`
  `getReportDirectory()`
  Returns the test report's root directory.
  `boolean`
  `shouldChartsGenerated()`
  Returns whether or not charts should be generated.

- ## Method Details

  - ### getChartDirectory

    File getChartDirectory()
    Returns the directory to which charts are saved.
    Returns:
      the chart directory

  - ### getChartEndTime

    long getChartEndTime()
    Returns the maximum date/time value to be shown in charts.

    If a report provider generates chart images, then this value should be the upper limit of the time range shown. Setting the time range this way guarantees that all charts in the report show the same time period and, therefore, can be compared more easily.

    Note that this value is valid only after all data record files have been read, i.e. you should call this method from `ReportCreator.createReportFragment()` only.

    Returns:
      the maximum date

  - ### getChartHeight

    int getChartHeight()
    Returns the preferred height of chart images (in pixels).
    Returns:
      the chart height

  - ### getChartStartTime

    long getChartStartTime()
    Returns the minimum date/time value to be shown in charts.

    If a report provider generates chart images, then this value should be the lower limit of the time range shown. Setting the time range this way guarantees that all charts in the report show the same time period and, therefore, can be compared more easily.

    Note that this value is valid only after all data record files have been read, i.e. you should call this method from `ReportCreator.createReportFragment()` only.

    Returns:
      the minimum date

  - ### getChartWidth

    int getChartWidth()
    Returns the preferred width of chart images (in pixels).
    Returns:
      the chart width

  - ### getCsvDirectory

    File getCsvDirectory()
    Returns the directory to which CSV files are saved.
    Returns:
      the CSV directory

  - ### getCommonMovingAverageConfig

    MovingAverageConfiguration getCommonMovingAverageConfig()
    Returns the configuration for the common moving average (see `MovingAverageConfiguration`).
    Returns:
      the common moving average configuration

  - ### getAdditionalMovingAverageConfigs

    List<MovingAverageConfiguration> getAdditionalMovingAverageConfigs()
    Returns a list of configurations for additional moving averages (see `MovingAverageConfiguration`).
    Returns:
      a list of additional moving average configurations

  - ### getProperties

    Properties getProperties()
    Returns all the settings from the file "xlt/config/reportgenerator.properties" as raw properties. Use these properties to get access to the provider-specific configuration if there is one.
    Returns:
      the properties

  - ### getReportDirectory

    File getReportDirectory()
    Returns the test report's root directory. This is the directory to which the report will be generated.
    Returns:
      the report directory

  - ### shouldChartsGenerated

    boolean shouldChartsGenerated()
    Returns whether or not charts should be generated.
    Returns:
      `true` if charts should be generated, `false` otherwise